<template>
  <div
    class="min-h-full flex items-center justify-center py-12 px-4 sm:px-6 lg:px-8"
  >
    <div class="max-w-lg w-full bg-white p-4 md:px-8 md:py-16 shadow-xl">
      <div>
        <img
          class="mx-auto h-12 w-auto"
          src="../assets/LogoOMTBlue.png"
          alt="OMT-logo"
        />
        <h2 class="mt-6 text-center text-3xl font-extrabold text-gray-900">
          Mot de passe oublié
        </h2>
      </div>
      <Vuemik
        class="mt-8 space-y-6"
        :initial-values="{
          email: ''
        }"
        :on-submit="user.forgotPassword"
      >
        <div class="rounded-md shadow-sm">
          <Field
            id="email-address"
            label="Email"
            component="input"
            type="email"
            name="email"
            placeholder="exemple@domaine.fr"
          />
          <Field
            class="mt-5"
            component="input"
            type="submit"
            value="Poursuivre"
          />
        </div>
      </Vuemik>
    </div>
  </div>
</template>

<script>

export default {
  name: "ForgotPasswordView",
  inject: ["user"]
}
</script>
